### Name: flatlizards
### Title: Augrabies Male Flat Lizards: Contest Results and Predictor
###   Variables
### Aliases: flatlizards
### Keywords: datasets

### ** Examples

library(BradleyTerry)
data(flatlizards)
##
##  Fit the standard Bradley-Terry model, using the bias-reduced
##  maximum likelihood method:
##
BTmodel <- BTm(flatlizards$contests ~ .., br = TRUE)
summary(BTmodel)
##
##  That's fairly useless, though, because of the rather small
##  amount of data on each lizard.  And really the scientific
##  interest is not in the abilities of these particular 77
##  lizards, but in the relationship between ability and the
##  measured predictor variables.
##
##  So next fit (by maximum likelihood) a "structured" B-T model in
##  which abilities are determined by a linear predictor.  This 
##  reproduces results reported in Table 1 of Whiting et al. (2006).
##
BTmodel2 <- BTm(flatlizards$contests ~ throat.PC1 + throat.PC3 +
  head.length + SVL, data = flatlizards$predictors)
summary(BTmodel2)



